Name:          ttf-noto-fonts
Version:       2025.06.01
Release:       1mamba
Summary:       Google TTF Noto fonts
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://notofonts.github.io/
Source:        https://github.com/notofonts/notofonts.github.io/archive/refs/tags/noto-monthly-release-%{version}.tar.gz
Source1:       46-noto-mono.conf
Source2:       46-noto-sans.conf
Source3:       46-noto-serif.conf
Source4:       66-noto-mono.conf
Source5:       66-noto-sans.conf
Source6:       66-noto-serif.conf
License:       Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires(post): fontconfig

%description
Google TTF Noto fonts.

%package extra
Summary:       Google TTF Noto extra fonts
Group:         System/Fonts
Requires:      %{name} = %{version}-%{release}

%description extra
Google TTF Noto extra fonts.

%prep
%setup -q -n notofonts.github.io-noto-monthly-release-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m644 fonts/*/hinted/ttf/*.tt[fc] -t %{buildroot}%{_datadir}/fonts/noto

install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/conf.avail/46-noto-mono.conf
install -D -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/fonts/conf.avail/46-noto-sans.conf
install -D -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/fonts/conf.avail/46-noto-serif.conf
install -D -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/fonts/conf.avail/66-noto-mono.conf
install -D -m644 %{SOURCE5} %{buildroot}%{_sysconfdir}/fonts/conf.avail/66-noto-sans.conf
install -D -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/fonts/conf.avail/66-noto-serif.conf

install -d -m0755 %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/46-noto-mono.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/46-noto-sans.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/46-noto-serif.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/66-noto-mono.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/66-noto-sans.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/
ln -s ../conf.avail/66-noto-serif.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
:

%postun
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache
:

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/conf.avail/*-noto-*.conf
%{_sysconfdir}/fonts/conf.d/*-noto-*.conf
%dir %{_datadir}/fonts/noto
%{_datadir}/fonts/noto/Noto*.ttf
%exclude %{_datadir}/fonts/noto/Noto*-Condensed*.ttf
%exclude %{_datadir}/fonts/noto/Noto*-Extra*.ttf
%exclude %{_datadir}/fonts/noto/Noto*-Semi*.ttf
%doc LICENSE

%files extra
%defattr(-,root,root)
%{_datadir}/fonts/noto/Noto*-Condensed*.ttf
%{_datadir}/fonts/noto/Noto*-Extra*.ttf
%{_datadir}/fonts/noto/Noto*-Semi*.ttf

%changelog
* Sun Jun 01 2025 Automatic Build System <autodist@openmamba.org> 2025.06.01-1mamba
- automatic version update by autodist

* Fri May 02 2025 Automatic Build System <autodist@openmamba.org> 2025.05.01-1mamba
- automatic version update by autodist

* Tue Apr 01 2025 Automatic Build System <autodist@openmamba.org> 2025.04.01-1mamba
- automatic version update by autodist

* Sat Mar 01 2025 Automatic Build System <autodist@openmamba.org> 2025.03.01-1mamba
- automatic version update by autodist

* Sun Feb 02 2025 Automatic Build System <autodist@openmamba.org> 2025.02.01-1mamba
- automatic version update by autodist

* Fri Jan 03 2025 Automatic Build System <autodist@openmamba.org> 2025.01.01-1mamba
- automatic version update by autodist

* Tue Dec 03 2024 Automatic Build System <autodist@openmamba.org> 2024.12.01-1mamba
- automatic version update by autodist

* Thu Nov 14 2024 Automatic Build System <autodist@openmamba.org> 2024.11.01-1mamba
- automatic version update by autodist

* Sun Sep 01 2024 Automatic Build System <autodist@openmamba.org> 24.9.1-1mamba
- automatic version update by autodist

* Thu Aug 01 2024 Automatic Build System <autodist@openmamba.org> 24.8.1-1mamba
- automatic version update by autodist

* Mon Jul 01 2024 Automatic Build System <autodist@openmamba.org> 24.7.1-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Automatic Build System <autodist@openmamba.org> 24.6.1-1mamba
- automatic version update by autodist

* Wed Apr 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.4.1-1mamba
- package created using the webbuild interface
